using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("年度监测汇总")]
    public class T_PT_ANNUAL_MONOTOR_SUMMARY:MesEntityBase
    {
        [Description("年度")]
        [FormFieldTable]
        [FormFieldQuery]
        public string YEAR { get; set; }
        [Description("汇总时间")]
        [FormFieldTable]
        [FormFieldQuery]
        public DateTime? SET_TIME { get; set; }
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
        [Description("监测与考核细表")]
        [FormFieldEdit]
        public ICollection<T_PT_ANNUAL_MONOTOR_SUMMARY_DETAIL> Nav_Details { get; set; }
    }
}
